Update profile settings
curl --request PUT \
--url https://api.example.com/v1/profile/settings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"timezone": "<string>",
"notifications_enabled": true,
"two_factor_enabled": true
}
'import requests
url = "https://api.example.com/v1/profile/settings"
payload = {
"timezone": "<string>",
"notifications_enabled": True,
"two_factor_enabled": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({timezone: '<string>', notifications_enabled: true, two_factor_enabled: true})
};
fetch('https://api.example.com/v1/profile/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"timezone": "Europe/Zurich",
"notifications_enabled": true,
"two_factor_enabled": true
}Management
Update profile settings
Update user profile settings
PUT
/
v1
/
profile
/
settings
Update profile settings
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
200 - application/json
Profile settings updated successfully
⌘I